#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,k;
    cin>>n>>k;
    vector <int> a;
    for(int i=0;i<n;i++)
    {
        int pomocna;
        cin>>pomocna;
        a.push_back(pomocna);
    }
    for(int i=0;i<n;i++)
    {
        if(i!=n-1)
        {
            if(a[i]==k)
            {
                cout<<a[i+1];
                break;
            }
        }
        else
        {
            cout<<a[0];
            break;
        }

    }
}